#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "fileio.h"

#define BUFFER_LEN 20
#define FILE_OUT "loans.dat"

/* courtesy of gimbo :) */
char *readline(FILE *stream) {

    char *line = NULL;
    char buffer[BUFFER_LEN];
    int new_length;
    char *dest;
    int finished = 0;

    while(fgets(buffer,BUFFER_LEN,stream)) {
        if(buffer[strlen(buffer)-1] == '\n') {
            buffer[strlen(buffer)-1] = '\0';
        }
        if(strlen(buffer) < BUFFER_LEN -1) {
            finished = 1;
        }
        if(line == NULL) {
            new_length = strlen(buffer) + 1;
            line = (char *) malloc(new_length);
	    dest=line;
        } else {
            new_length = strlen(line) + strlen(buffer) + 1;
            line = (char *) realloc(line, new_length);
            dest = line + strlen(line);
        }
        if(line == NULL) {
            return NULL;
        }
        strcpy(dest,buffer);
        if(finished) {
            break;
        }
    }
    return line;
}

void clearfile() {
    FILE *fp;
    fp=fopen(FILE_OUT, "w");
    fprintf(fp,"%s","\0");
    fclose(fp);
}

void writeline(char *dvdid, char *borrid) {
    FILE *fp;
    fp = fopen(FILE_OUT,"a");
    fprintf(fp,"%s:%s\n",dvdid,borrid);
    fclose(fp);
}
